# Example Script to convert ";" separated WSM entries from csv to other formats
# 
# WSM entries in the following order, separated by ";"
# input file format:
# SITE;LAT;LON;AZI;TYPE;DEPTH;QUALITY;REGIME;LOCALITY;COUNTRY;PLATE;SUBREGION; ... (following entries in the line are ignored) 
# 
# output file format:
# LAT LON AZI TYPE QUALITY REGIME DEPTH SITE 
# 
# to run the awk script type: gawk -f example.awk wsm97-1.csv > output.file
# 
# Modify the script according to your demands.
# 
# $1, $2 , $3 and so on represent the first, second, third entry in a line
# The format string in the printf-command means:
# %[width][type] width is the width of the field (as in Fortran)
# type is 's' for a string (A in Fortran), 'f' for a float (F in Fortran)
# and 'd' for an integer (I in Fortran). The Fortran 'X' are replaced by
# the respective amount of blanks.

BEGIN{
     FS=";"
     line=0
}

{    
     line = line+1   
     # ignore first line, this is the headerline
     if (line != 1)  {
         printf("%8.3f %8.3f %3d %3s %1s %2s %7.3f %5s\n", $2, $3, $4, $5, $7, $8, $6, $1)
     }
}     